RingOf rather than owner? (and than AmbientRing, ...)
Status: In Progress Start date: 03 May 2012

Priority: Normal Due date:  

Assignee:  % Done: 10%

Category: Renaming Estimated time: 8.00 hours

Target version: CoCoALib-1.0 Spent time: 1.55 hour

Description

In CoCoA-5 to get the ring to which a RingElem belongs we use the fn RingOf.

Currently in CoCoALib the analogous fn is called owner.

Should we replace owner by RingOf?

Such a change would improve compatibility between CoCoA-5 and CoCoALib.

Also RingOf is probably a nicer, more mathematical name; while owner

is more of a "programming" name.

2014-07 JAA renamed AmbientRing/BaseRing into RingOf for matrices, modules and ideals.

Related issues:

Related to CoCoALib - Design #584: BaseRing for all rings Closed 08 Jul 2014

History

#1 - 03 May 2012 15:26 - John Abbott

RingOf can be applied to: ideal, RingElem, matrix, HomogList.

#2 - 05 Dec 2012 14:55 - Anna Maria Bigatti

- Category set to Renaming

- Status changed from New to In Progress

- Target version set to CoCoALib-0.9953

There are other cases: now I'm working on a (private) file with GBEnv and the function to get it form an object is GetGBEnv: I think that GBEnvOf

would be nicer.

Similarly there would be PPMOf (a bit less readable, unfortunately), DivMaskRuleOf, ...

i.e.: all those cases where we want to get the stucture from an object (and we cannot use the structure name because that is a constructor!)

Maybe it can be applied to all those cases where we want to get a field from an object (and we cannot use the field class name because that is a

constructor!)

#3 - 29 May 2013 17:05 - John Abbott

This is neither urgent nor necessary for CoCoA School, so I'm postponing it.

#4 - 29 May 2013 17:07 - John Abbott

- Target version changed from CoCoALib-0.9953 to CoCoALib-0.99534 Seoul14

#5 - 29 Oct 2013 15:18 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-0.99532
#6 - 29 Oct 2013 15:35 - John Abbott

POSSIBLE DISADVANTAGE Using names such as RingOf, PPMOf (rather than having a single name) could make template code problematic -- see

ourConsistencyCheck in factorization.H.

20140714 there is a contrast between what is most readable (e.g. RingOf) and what is most flexible with template code (e.g. owner)

#7 - 02 Apr 2014 08:38 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99532 to CoCoALib-0.99533 Easter14

#8 - 04 Apr 2014 17:19 - John Abbott

- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-1.0

#9 - 30 Jul 2014 16:56 - John Abbott

- % Done changed from 0 to 10

I note that I have just(20140730) checked in an update which introduces RingOf for matrices, modules and ideals.

#10 - 30 Jul 2014 17:59 - Anna Maria Bigatti

- Subject changed from RingOf rather than owner? to RingOf rather than owner? (and than AmbientRing, ...)
